Summary: Applies updates and reboots a RHEL machine if needed
Name: autoupdater
Version: 1.0
Release: 6%{?dist}
License: GPLv2
URL: https://nux.se/
Source0: autoupdater
Source1: autoupdater.conf
Source2: autoupdater.cron
Source3: dnf-automatic.timer
Requires: dnf-automatic yum-utils
BuildArch: noarch

%description
This package automatically applies updates and reboots a RHEL machine if needed.

Requires the following packages:

* dnf-automatic
* yum-utils

%prep

%setup -c -T
cp %{SOURCE0} .
cp %{SOURCE1} .
cp %{SOURCE2} .
cp %{SOURCE3} .

%build

%install
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_sysconfdir}/cron.daily
install -d %{buildroot}%{_sysconfdir}/systemd/system

install -m0755 autoupdater %{buildroot}%{_sbindir}/autoupdater
install -m0644 autoupdater.conf %{buildroot}%{_sysconfdir}/autoupdater.conf
install -m0755 autoupdater.cron %{buildroot}%{_sysconfdir}/cron.daily/autoupdater
install -m0644 dnf-automatic.timer %{buildroot}%{_sysconfdir}/systemd/system/dnf-automatic.timer

%post
if [ $1 = "1" ]; then
    sed -i 's|^apply_updates.*|apply_updates = yes|g' %{_sysconfdir}/dnf/automatic.conf || :
    sed -i 's|^emit_via.*|emit_via = stdio|g' %{_sysconfdir}/dnf/automatic.conf || :
    systemctl enable dnf-automatic.timer || :
    systemctl start dnf-automatic.timer || :
fi

%preun
if [ $1 = "0" ]; then
    systemctl stop dnf-automatic.timer || :
    systemctl disable dnf-automatic.timer || :
fi

%files
%config(noreplace) %{_sysconfdir}/autoupdater.conf
%config(noreplace) %{_sysconfdir}/systemd/system/dnf-automatic.timer
%{_sysconfdir}/cron.daily/autoupdater
%{_sbindir}/autoupdater

%changelog
* Fri Nov 08 2024 Oden Eriksson <oe@nux.se> - 1.0-6
- add fc41

* Fri May 24 2024 Oden Eriksson <oe@nux.se> - 1.0-5
- added logic to be enable to postpone the reboot

* Thu Feb 01 2024 Oden Eriksson <oe@nux.se> - 1.0-4
- add a timer
- add fc39

* Fri Oct 20 2023 Oden Eriksson <oe@nux.se> - 1.0-3
- rebuild

* Tue Aug 01 2023 Oden Eriksson <oe@nux.se> - 1.0-1
- initial package
